cascading.operation

## Interface AggregatorCall<C>

- All Superinterfaces:
    OperationCall<C>
  All Known Implementing Classes:
    ConcreteCall

      public interface AggregatorCall<C>
      extends OperationCall<C>

  Interface AggregatorCall provides access to the current `Aggregator` invocation arguments.

  This interface is generic, allowing the user to set a custom 'context' object when `Aggregator.start(cascading.flow.FlowProcess, AggregatorCall)` is called. The `OperationCall.setContext(Object)` and `OperationCall.getContext()` methods are inherited from `OperationCall`.
  See Also:
    `Aggregator`, `OperationCall`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleEntry` | `getArguments()` Returns `TupleEntry` of argument values.
    `Fields` | `getDeclaredFields()` Return the resolved `Fields` declared by the current `Operation`.
    `TupleEntry` | `getGroup()` Returns the current grouping `TupleEntry`.
    `TupleEntryCollector` | `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.

    - ### Methods inherited from interface cascading.operation.OperationCall

      `getArgumentFields, getContext, setContext`

- - ### Method Detail

    - #### getGroup

          TupleEntry getGroup()

      Returns the current grouping `TupleEntry`.
      Returns:
        TupleEntry

    - #### getArguments

          TupleEntry getArguments()

      Returns `TupleEntry` of argument values.

      Will return `null` unless called in `Aggregator.aggregate(cascading.flow.FlowProcess, AggregatorCall)`.

      Note that the returned TupleEntry should not be cached (stored in a Collection), nor should the underlying Tuple instance. Where possible Cascading will re-use both TupleEntry and Tuple instances.

      To get a safe copy that can be cached, use `TupleEntry.getTupleCopy()`.
      Returns:
        TupleEntry

    - #### getDeclaredFields

          Fields getDeclaredFields()

      Return the resolved `Fields` declared by the current `Operation`.
      Returns:
        Fields

    - #### getOutputCollector

          TupleEntryCollector getOutputCollector()

      Returns the `TupleEntryCollector` used to emit result values.

      Will return `null` unless called in `Aggregator.complete(cascading.flow.FlowProcess, AggregatorCall)`.
      Returns:
        TupleCollector

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.